import type { AttributeValue } from '@aws-sdk/client-dynamodb';
declare class UnmarshallDynamoDBAttributeError extends Error {
    constructor(message: string);
}
/**
 * Unmarshalls a DynamoDB AttributeValue to a JavaScript object.
 *
 * The implementation is loosely based on the official AWS SDK v3 unmarshall function but
 * without support the customization options and with assumed support for BigInt.
 *
 * @param data - The DynamoDB AttributeValue to unmarshall
 */
declare const unmarshallDynamoDB: (data: AttributeValue | Record<string, AttributeValue>) => unknown;
export { unmarshallDynamoDB, UnmarshallDynamoDBAttributeError };
//# sourceMappingURL=unmarshallDynamoDB.d.ts.map